%define builtin_release_version 4.7
%define builtin_release_name "Scientific Linux Fermi" 
%define builtin_release_variant  LTS
%define builtin_release_codename Wilson 
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: %{builtin_release_name} release file
Name: Fermi-release
Version: %{real_release_version}
Release: 1
License: GPL
Group: System Environment/Base
Source: sl-release-SL-%{builtin_release_version}.tar.gz
Source1: %{name}-sources
Source2: %{name}-default-bookmarks.html
#Source11: SL.releasenote.i386
#Source12: SL.releasenote.x86_64
#Source13: SL.releasenote.ia64
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de hepl-release redhat-release sl-release zz_fermi-release
Provides: redhat-release
BuildRoot: %{_tmppath}/redhat-release-root
BuildArchitectures: noarch
Epoch: 25

%description
%{builtin_release_name} release file

%prep
%setup -q -n sl-release-SL-%{builtin_release_version}

%%build 
#python -c "import py_compile; py_compile.compile('eula.py')"

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{builtin_release_name} %{builtin_release_variant} release %{builtin_release_version} (%{builtin_release_codename})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rhn/sources

mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/%{name}/default-bookmarks.html

mkdir -p $RPM_BUILD_ROOT/etc/pki/rpm-gpg
cp RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

#mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
#cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

#mkdir -p $RPM_BUILD_ROOT/usr/share/eula
#cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

#install -m 644 %{SOURCE11} $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/
#install -m 644 %{SOURCE12} $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/
#install -m 644 %{SOURCE13} $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/
cp /mnt/src/lts4rolling/i386/SL.releasenote $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/SL.releasenote.i386
cp /mnt/src/lts4rolling/x86_64/SL.releasenote $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/SL.releasenote.x86_64
cp /mnt/src/lts4rolling/i386/sites/Fermi/Fermi.releasenote $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/Fermi.releasenote.i386
cp /mnt/src/lts4rolling/x86_64/sites/Fermi/Fermi.releasenote $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/Fermi.releasenote.x86_64

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%post
#change the title of the default kernel to be the current release name
# Only for machines using grub
if [ -s /boot/grub/grub.conf ] ; then
        DEFAULTKERNEL="$(/sbin/grubby --default-kernel)"
        if [ "$DEFAULTKERNEL" != "" ] ; then
                version="$(echo $DEFAULTKERNEL | cut -d'-' -f2-)"
                title="$(sed 's/ release//' < /etc/redhat-release) ($version)"
                INIT="$(/sbin/grubby --info=$DEFAULTKERNEL | grep initrd= | cut -d'=' -f2 | sort -u)"
                /sbin/grubby --add-kernel=$DEFAULTKERNEL --initrd=$INIT --copy-default --make-default --title "$title"
        fi
fi
{
	shopt -s nullglob
	for line in /usr/lib{,64}/firefox-*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :
{
	shopt -s nullglob
	for line in /usr/lib{,64}/mozilla*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :


%triggerin -- seamonkey, %{_bindir}/mozilla
{
	shopt -s nullglob
	for line in /usr/lib{,64}/mozilla*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :

%triggerin -- firefox, %{_bindir}/firefox
{
	shopt -s nullglob
	for line in /usr/lib{,64}/firefox-*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :


%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc SL*
%doc Fermi*
%doc GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%config(noreplace) /usr/share/%{name}/default-bookmarks.html
/var/lib/supportinfo
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
/etc/pki/rpm-gpg/RPM-GPG-KEY*
#/usr/share/firstboot/modules/eula.py*
#/usr/share/eula/eula.*

%changelog
* Mon Mar 24 2008 Troy Dawson <dawson@fnal.gov> 4.6-1
- Updated to the latest release notes
- Changed everything from rolling to 46

* Mon Oct 02 2006 Troy Dawson <dawson@fnal.gov> 4.5-1
- Added the GPG Key's to /etc/pki/rpm-gpg/
- Changed everything from rolling to 45
- Put in the latest release notes
